import { base } from "../base.js";
import { blockESLint } from "./blockESLint.js";

//#region src/blocks/blockESLintPerfectionist.ts
const blockESLintPerfectionist = base.createBlock({
	about: { name: "ESLint Perfectionist Plugin" },
	produce() {
		return { addons: [blockESLint({
			extensions: [`perfectionist.configs["recommended-natural"]`],
			imports: [{
				source: "eslint-plugin-perfectionist",
				specifier: "perfectionist"
			}],
			settings: { perfectionist: {
				partitionByComment: true,
				type: "natural"
			} }
		})] };
	}
});

//#endregion
export { blockESLintPerfectionist };
//# sourceMappingURL=blockESLintPerfectionist.js.map