import { intakeFile } from "./intakeFile.js";
import JSON5 from "json5";

//#region src/blocks/intake/intakeFileDefineConfig.ts
function intakeFileDefineConfig(files, filePath) {
	const file = intakeFile(files, filePath);
	if (!file) return void 0;
	const normalized = file[0].replaceAll(/[\n\r]/g, "");
	const matched = /defineConfig\(\{(.+)\}\)\s*(?:;\s*)?$/u.exec(normalized);
	if (!matched) return void 0;
	const rawData = tryParseJSON5(`{${matched[1]}}`);
	if (!rawData || typeof rawData !== "object") return void 0;
	return rawData;
}
function tryParseJSON5(text) {
	try {
		return JSON5.parse(text);
	} catch {
		return void 0;
	}
}

//#endregion
export { intakeFileDefineConfig };
//# sourceMappingURL=intakeFileDefineConfig.js.map