import { BaseOptions, base } from "./base.js";
import { blockAllContributors } from "./blocks/blockAllContributors.js";
import { blockAreTheTypesWrong } from "./blocks/blockAreTheTypesWrong.js";
import { blockCSpell } from "./blocks/blockCSpell.js";
import { blockCTATransitions } from "./blocks/blockCTATransitions.js";
import { blockCodecov } from "./blocks/blockCodecov.js";
import { blockContributingDocs } from "./blocks/blockContributingDocs.js";
import { blockContributorCovenant } from "./blocks/blockContributorCovenant.js";
import { blockDevelopmentDocs } from "./blocks/blockDevelopmentDocs.js";
import { blockESLint } from "./blocks/blockESLint.js";
import { blockESLintComments } from "./blocks/blockESLintComments.js";
import { blockESLintJSDoc } from "./blocks/blockESLintJSDoc.js";
import { blockESLintJSONC } from "./blocks/blockESLintJSONC.js";
import { blockESLintMarkdown } from "./blocks/blockESLintMarkdown.js";
import { blockESLintMoreStyling } from "./blocks/blockESLintMoreStyling.js";
import { blockESLintNode } from "./blocks/blockESLintNode.js";
import { blockESLintPackageJson } from "./blocks/blockESLintPackageJson.js";
import { blockESLintPerfectionist } from "./blocks/blockESLintPerfectionist.js";
import { blockESLintPlugin } from "./blocks/blockESLintPlugin.js";
import { blockESLintRegexp } from "./blocks/blockESLintRegexp.js";
import { blockESLintYML } from "./blocks/blockESLintYML.js";
import { blockFunding } from "./blocks/blockFunding.js";
import { blockGitHubActionsCI } from "./blocks/blockGitHubActionsCI.js";
import { blockGitHubIssueTemplates } from "./blocks/blockGitHubIssueTemplates.js";
import { blockGitHubPRTemplate } from "./blocks/blockGitHubPRTemplate.js";
import { blockGitignore } from "./blocks/blockGitignore.js";
import { blockKnip } from "./blocks/blockKnip.js";
import { blockMITLicense } from "./blocks/blockMITLicense.js";
import { blockMain } from "./blocks/blockMain.js";
import { blockMarkdownlint } from "./blocks/blockMarkdownlint.js";
import { blockNcc } from "./blocks/blockNcc.js";
import { blockNvmrc } from "./blocks/blockNvmrc.js";
import { blockOctoGuide } from "./blocks/blockOctoGuide.js";
import { blockOctoGuideStrict } from "./blocks/blockOctoGuideStrict.js";
import { blockPackageJson } from "./blocks/blockPackageJson.js";
import { blockPnpmDedupe } from "./blocks/blockPnpmDedupe.js";
import { blockPrettier } from "./blocks/blockPrettier.js";
import { blockPrettierPluginCurly } from "./blocks/blockPrettierPluginCurly.js";
import { blockPrettierPluginPackageJson } from "./blocks/blockPrettierPluginPackageJson.js";
import { blockPrettierPluginSh } from "./blocks/blockPrettierPluginSh.js";
import { blockREADME } from "./blocks/blockREADME.js";
import { blockReleaseIt } from "./blocks/blockReleaseIt.js";
import { blockRenovate } from "./blocks/blockRenovate.js";
import { blockSecurityDocs } from "./blocks/blockSecurityDocs.js";
import { blockTSDown } from "./blocks/blockTSDown.js";
import { blockTemplatedWith } from "./blocks/blockTemplatedWith.js";
import { blockTypeScript } from "./blocks/blockTypeScript.js";
import { blockVSCode } from "./blocks/blockVSCode.js";
import { blockVitest } from "./blocks/blockVitest.js";
import { blockWebExt } from "./blocks/blockWebExt.js";
import { blocks } from "./blocks/index.js";
import { template } from "./template.js";
import { presetCommon } from "./presets/common.js";
import { presetEverything } from "./presets/everything.js";
import { presetMinimal } from "./presets/minimal.js";
import { presets } from "./presets/index.js";
import * as bingo_stratum130 from "bingo-stratum";
import * as zod0 from "zod";
import * as bingo131 from "bingo";
import * as bingo_stratum_lib_types_templates_js129 from "bingo-stratum/lib/types/templates.js";

//#region src/index.d.ts
declare const createConfig: bingo131.CreateTemplateConfig<{
  access: zod0.ZodUnion<[zod0.ZodLiteral<"public">, zod0.ZodLiteral<"restricted">]>;
  author: zod0.ZodOptional<zod0.ZodString>;
  bin: zod0.ZodOptional<zod0.ZodUnion<[zod0.ZodString, zod0.ZodRecord<zod0.ZodString, zod0.ZodString>]>>;
  contributors: zod0.ZodOptional<zod0.ZodArray<zod0.ZodObject<{
    avatar_url: zod0.ZodString;
    contributions: zod0.ZodArray<zod0.ZodString, "many">;
    login: zod0.ZodString;
    name: zod0.ZodString;
    profile: zod0.ZodString;
  }, "strip", zod0.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod0.ZodDefault<zod0.ZodString>;
  directory: zod0.ZodString;
  documentation: zod0.ZodObject<{
    development: zod0.ZodOptional<zod0.ZodString>;
    readme: zod0.ZodObject<{
      additional: zod0.ZodOptional<zod0.ZodString>;
      explainer: zod0.ZodOptional<zod0.ZodString>;
      footnotes: zod0.ZodOptional<zod0.ZodString>;
      usage: zod0.ZodOptional<zod0.ZodString>;
    }, "strip", zod0.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod0.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod0.ZodEffects<zod0.ZodUnion<[zod0.ZodString, zod0.ZodObject<{
    github: zod0.ZodString;
    npm: zod0.ZodString;
  }, "strip", zod0.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod0.ZodOptional<zod0.ZodString>;
  existingLabels: zod0.ZodOptional<zod0.ZodArray<zod0.ZodObject<{
    color: zod0.ZodString;
    description: zod0.ZodString;
    name: zod0.ZodString;
  }, "strip", zod0.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod0.ZodOptional<zod0.ZodString>;
  guide: zod0.ZodOptional<zod0.ZodObject<{
    href: zod0.ZodString;
    title: zod0.ZodString;
  }, "strip", zod0.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod0.ZodOptional<zod0.ZodArray<zod0.ZodString, "many">>;
  logo: zod0.ZodOptional<zod0.ZodObject<{
    alt: zod0.ZodString;
    height: zod0.ZodOptional<zod0.ZodNumber>;
    src: zod0.ZodString;
    width: zod0.ZodOptional<zod0.ZodNumber>;
  }, "strip", zod0.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod0.ZodObject<{
    minimum: zod0.ZodString;
    pinned: zod0.ZodOptional<zod0.ZodString>;
  }, "strip", zod0.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod0.ZodString;
  packageData: zod0.ZodOptional<zod0.ZodObject<{
    dependencies: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodString>>;
    devDependencies: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodString>>;
    peerDependencies: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodString>>;
    peerDependenciesMeta: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodUnknown>>;
    scripts: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodOptional<zod0.ZodString>>>;
  }, "strip", zod0.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod0.ZodOptional<zod0.ZodString>;
  repository: zod0.ZodString;
  rulesetId: zod0.ZodOptional<zod0.ZodString>;
  title: zod0.ZodString;
  type: zod0.ZodOptional<zod0.ZodUnion<[zod0.ZodLiteral<"commonjs">, zod0.ZodLiteral<"module">]>>;
  version: zod0.ZodOptional<zod0.ZodString>;
  words: zod0.ZodOptional<zod0.ZodArray<zod0.ZodString, "many">>;
  workflowsVersions: zod0.ZodOptional<zod0.ZodRecord<zod0.ZodString, zod0.ZodRecord<zod0.ZodString, zod0.ZodObject<{
    hash: zod0.ZodOptional<zod0.ZodString>;
    pinned: zod0.ZodOptional<zod0.ZodBoolean>;
  }, "strip", zod0.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
} & bingo_stratum_lib_types_templates_js129.StratumTemplateOptionsShape, bingo_stratum130.StratumRefinements<{
  access: "public" | "restricted";
  description: string;
  directory: string;
  documentation: {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  };
  email: {
    github: string;
    npm: string;
  };
  title: string;
  node: {
    minimum: string;
    pinned?: string | undefined;
  };
  owner: string;
  repository: string;
  type?: "commonjs" | "module" | undefined;
  author?: string | undefined;
  bin?: string | Record<string, string> | undefined;
  contributors?: {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }[] | undefined;
  emoji?: string | undefined;
  existingLabels?: {
    name: string;
    description: string;
    color: string;
  }[] | undefined;
  funding?: string | undefined;
  guide?: {
    href: string;
    title: string;
  } | undefined;
  keywords?: string[] | undefined;
  logo?: {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  } | undefined;
  packageData?: {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  } | undefined;
  pnpm?: string | undefined;
  rulesetId?: string | undefined;
  version?: string | undefined;
  words?: string[] | undefined;
  workflowsVersions?: Record<string, Record<string, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>> | undefined;
}>>;
//#endregion
export { BaseOptions, base, blockAllContributors, blockAreTheTypesWrong, blockCSpell, blockCTATransitions, blockCodecov, blockContributingDocs, blockContributorCovenant, blockDevelopmentDocs, blockESLint, blockESLintComments, blockESLintJSDoc, blockESLintJSONC, blockESLintMarkdown, blockESLintMoreStyling, blockESLintNode, blockESLintPackageJson, blockESLintPerfectionist, blockESLintPlugin, blockESLintRegexp, blockESLintYML, blockFunding, blockGitHubActionsCI, blockGitHubIssueTemplates, blockGitHubPRTemplate, blockGitignore, blockKnip, blockMITLicense, blockMain, blockMarkdownlint, blockNcc, blockNvmrc, blockOctoGuide, blockOctoGuideStrict, blockPackageJson, blockPnpmDedupe, blockPrettier, blockPrettierPluginCurly, blockPrettierPluginPackageJson, blockPrettierPluginSh, blockREADME, blockReleaseIt, blockRenovate, blockSecurityDocs, blockTSDown, blockTemplatedWith, blockTypeScript, blockVSCode, blockVitest, blockWebExt, blocks, createConfig, presetCommon, presetEverything, presetMinimal, presets, template };
//# sourceMappingURL=index.d.ts.map