import { z } from "zod";
import { createInput } from "bingo";

//#region src/inputs/inputFromOctokit.ts
const inputFromOctokit = createInput({
	args: {
		endpoint: z.string(),
		options: z.record(z.string(), z.unknown()).optional()
	},
	async produce({ args, fetchers }) {
		try {
			const response = await fetchers.octokit.request(args.endpoint, {
				headers: { "X-GitHub-Api-Version": "2022-11-28" },
				request: { retries: 0 },
				...args.options
			});
			return response.data;
		} catch {
			return void 0;
		}
	}
});

//#endregion
export { inputFromOctokit };
//# sourceMappingURL=inputFromOctokit.js.map