import { indicatorsTemplatedBy } from "./readReadmeFootnotes.js";

//#region src/options/readReadmeAdditional.ts
const indicatorAfterAllContributors = /<!--\s*ALL-CONTRIBUTORS-LIST:END\s*-->/;
const indicatorAfterAllContributorsSpellCheck = /<!--\s*spellchecker:\s*enable\s*-->/;
async function readReadmeAdditional(getReadme) {
	const readme = await getReadme();
	if (!readme) return void 0;
	const indexAfterContributors = indicatorAfterAllContributorsSpellCheck.exec(readme) ?? indicatorAfterAllContributors.exec(readme);
	if (!indexAfterContributors) return void 0;
	const indexOfFirstTemplatedBy = indicatorsTemplatedBy.reduce((smallest, indicator) => {
		const indexOf = indicator.exec(readme)?.index;
		return indexOf ? Math.min(smallest, indexOf) : smallest;
	}, readme.length);
	return readme.slice(indexAfterContributors.index + indexAfterContributors[0].length, indexOfFirstTemplatedBy).trim();
}

//#endregion
export { readReadmeAdditional };
//# sourceMappingURL=readReadmeAdditional.js.map