//#region src/options/readReadmeUsage.ts
const startUsage = "## Usage";
async function readReadmeUsage(getReadme) {
	const readme = await getReadme();
	const indexOfUsage = readme.indexOf(startUsage);
	if (indexOfUsage === -1) return void 0;
	const offset = indexOfUsage + startUsage.length;
	const indexOfNextKnownHeading = readme.slice(offset).search(/## (?:Development|Contributing|Contributors)/);
	if (indexOfNextKnownHeading === -1) return readme.slice(offset) || void 0;
	const usage = readme.slice(offset, indexOfNextKnownHeading + offset).trim();
	return usage || void 0;
}

//#endregion
export { readReadmeUsage };
//# sourceMappingURL=readReadmeUsage.js.map