import * as bingo_stratum496 from "bingo-stratum";
import * as zod367 from "zod";

//#region src/presets/common.d.ts
declare const presetCommon: bingo_stratum496.Preset<{
  access: zod367.ZodUnion<[zod367.ZodLiteral<"public">, zod367.ZodLiteral<"restricted">]>;
  author: zod367.ZodOptional<zod367.ZodString>;
  bin: zod367.ZodOptional<zod367.ZodUnion<[zod367.ZodString, zod367.ZodRecord<zod367.ZodString, zod367.ZodString>]>>;
  contributors: zod367.ZodOptional<zod367.ZodArray<zod367.ZodObject<{
    avatar_url: zod367.ZodString;
    contributions: zod367.ZodArray<zod367.ZodString, "many">;
    login: zod367.ZodString;
    name: zod367.ZodString;
    profile: zod367.ZodString;
  }, "strip", zod367.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod367.ZodDefault<zod367.ZodString>;
  directory: zod367.ZodString;
  documentation: zod367.ZodObject<{
    development: zod367.ZodOptional<zod367.ZodString>;
    readme: zod367.ZodObject<{
      additional: zod367.ZodOptional<zod367.ZodString>;
      explainer: zod367.ZodOptional<zod367.ZodString>;
      footnotes: zod367.ZodOptional<zod367.ZodString>;
      usage: zod367.ZodOptional<zod367.ZodString>;
    }, "strip", zod367.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod367.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod367.ZodEffects<zod367.ZodUnion<[zod367.ZodString, zod367.ZodObject<{
    github: zod367.ZodString;
    npm: zod367.ZodString;
  }, "strip", zod367.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod367.ZodOptional<zod367.ZodString>;
  existingLabels: zod367.ZodOptional<zod367.ZodArray<zod367.ZodObject<{
    color: zod367.ZodString;
    description: zod367.ZodString;
    name: zod367.ZodString;
  }, "strip", zod367.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod367.ZodOptional<zod367.ZodString>;
  guide: zod367.ZodOptional<zod367.ZodObject<{
    href: zod367.ZodString;
    title: zod367.ZodString;
  }, "strip", zod367.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod367.ZodOptional<zod367.ZodArray<zod367.ZodString, "many">>;
  logo: zod367.ZodOptional<zod367.ZodObject<{
    alt: zod367.ZodString;
    height: zod367.ZodOptional<zod367.ZodNumber>;
    src: zod367.ZodString;
    width: zod367.ZodOptional<zod367.ZodNumber>;
  }, "strip", zod367.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod367.ZodObject<{
    minimum: zod367.ZodString;
    pinned: zod367.ZodOptional<zod367.ZodString>;
  }, "strip", zod367.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod367.ZodString;
  packageData: zod367.ZodOptional<zod367.ZodObject<{
    dependencies: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodString>>;
    devDependencies: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodString>>;
    peerDependencies: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodString>>;
    peerDependenciesMeta: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodUnknown>>;
    scripts: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodOptional<zod367.ZodString>>>;
  }, "strip", zod367.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod367.ZodOptional<zod367.ZodString>;
  repository: zod367.ZodString;
  rulesetId: zod367.ZodOptional<zod367.ZodString>;
  title: zod367.ZodString;
  type: zod367.ZodOptional<zod367.ZodUnion<[zod367.ZodLiteral<"commonjs">, zod367.ZodLiteral<"module">]>>;
  version: zod367.ZodOptional<zod367.ZodString>;
  words: zod367.ZodOptional<zod367.ZodArray<zod367.ZodString, "many">>;
  workflowsVersions: zod367.ZodOptional<zod367.ZodRecord<zod367.ZodString, zod367.ZodRecord<zod367.ZodString, zod367.ZodObject<{
    hash: zod367.ZodOptional<zod367.ZodString>;
    pinned: zod367.ZodOptional<zod367.ZodBoolean>;
  }, "strip", zod367.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=common.d.ts.map
//#endregion
export { presetCommon };
//# sourceMappingURL=common.d.ts.map