import * as bingo_stratum627 from "bingo-stratum";
import * as zod498 from "zod";

//#region src/presets/everything.d.ts
declare const presetEverything: bingo_stratum627.Preset<{
  access: zod498.ZodUnion<[zod498.ZodLiteral<"public">, zod498.ZodLiteral<"restricted">]>;
  author: zod498.ZodOptional<zod498.ZodString>;
  bin: zod498.ZodOptional<zod498.ZodUnion<[zod498.ZodString, zod498.ZodRecord<zod498.ZodString, zod498.ZodString>]>>;
  contributors: zod498.ZodOptional<zod498.ZodArray<zod498.ZodObject<{
    avatar_url: zod498.ZodString;
    contributions: zod498.ZodArray<zod498.ZodString, "many">;
    login: zod498.ZodString;
    name: zod498.ZodString;
    profile: zod498.ZodString;
  }, "strip", zod498.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod498.ZodDefault<zod498.ZodString>;
  directory: zod498.ZodString;
  documentation: zod498.ZodObject<{
    development: zod498.ZodOptional<zod498.ZodString>;
    readme: zod498.ZodObject<{
      additional: zod498.ZodOptional<zod498.ZodString>;
      explainer: zod498.ZodOptional<zod498.ZodString>;
      footnotes: zod498.ZodOptional<zod498.ZodString>;
      usage: zod498.ZodOptional<zod498.ZodString>;
    }, "strip", zod498.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod498.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod498.ZodEffects<zod498.ZodUnion<[zod498.ZodString, zod498.ZodObject<{
    github: zod498.ZodString;
    npm: zod498.ZodString;
  }, "strip", zod498.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod498.ZodOptional<zod498.ZodString>;
  existingLabels: zod498.ZodOptional<zod498.ZodArray<zod498.ZodObject<{
    color: zod498.ZodString;
    description: zod498.ZodString;
    name: zod498.ZodString;
  }, "strip", zod498.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod498.ZodOptional<zod498.ZodString>;
  guide: zod498.ZodOptional<zod498.ZodObject<{
    href: zod498.ZodString;
    title: zod498.ZodString;
  }, "strip", zod498.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod498.ZodOptional<zod498.ZodArray<zod498.ZodString, "many">>;
  logo: zod498.ZodOptional<zod498.ZodObject<{
    alt: zod498.ZodString;
    height: zod498.ZodOptional<zod498.ZodNumber>;
    src: zod498.ZodString;
    width: zod498.ZodOptional<zod498.ZodNumber>;
  }, "strip", zod498.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod498.ZodObject<{
    minimum: zod498.ZodString;
    pinned: zod498.ZodOptional<zod498.ZodString>;
  }, "strip", zod498.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod498.ZodString;
  packageData: zod498.ZodOptional<zod498.ZodObject<{
    dependencies: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodString>>;
    devDependencies: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodString>>;
    peerDependencies: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodString>>;
    peerDependenciesMeta: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodUnknown>>;
    scripts: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodOptional<zod498.ZodString>>>;
  }, "strip", zod498.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod498.ZodOptional<zod498.ZodString>;
  repository: zod498.ZodString;
  rulesetId: zod498.ZodOptional<zod498.ZodString>;
  title: zod498.ZodString;
  type: zod498.ZodOptional<zod498.ZodUnion<[zod498.ZodLiteral<"commonjs">, zod498.ZodLiteral<"module">]>>;
  version: zod498.ZodOptional<zod498.ZodString>;
  words: zod498.ZodOptional<zod498.ZodArray<zod498.ZodString, "many">>;
  workflowsVersions: zod498.ZodOptional<zod498.ZodRecord<zod498.ZodString, zod498.ZodRecord<zod498.ZodString, zod498.ZodObject<{
    hash: zod498.ZodOptional<zod498.ZodString>;
    pinned: zod498.ZodOptional<zod498.ZodBoolean>;
  }, "strip", zod498.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=everything.d.ts.map
//#endregion
export { presetEverything };
//# sourceMappingURL=everything.d.ts.map