import * as bingo_stratum1148 from "bingo-stratum";
import * as zod1019 from "zod";

//#region src/presets/minimal.d.ts
declare const presetMinimal: bingo_stratum1148.Preset<{
  access: zod1019.ZodUnion<[zod1019.ZodLiteral<"public">, zod1019.ZodLiteral<"restricted">]>;
  author: zod1019.ZodOptional<zod1019.ZodString>;
  bin: zod1019.ZodOptional<zod1019.ZodUnion<[zod1019.ZodString, zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodString>]>>;
  contributors: zod1019.ZodOptional<zod1019.ZodArray<zod1019.ZodObject<{
    avatar_url: zod1019.ZodString;
    contributions: zod1019.ZodArray<zod1019.ZodString, "many">;
    login: zod1019.ZodString;
    name: zod1019.ZodString;
    profile: zod1019.ZodString;
  }, "strip", zod1019.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod1019.ZodDefault<zod1019.ZodString>;
  directory: zod1019.ZodString;
  documentation: zod1019.ZodObject<{
    development: zod1019.ZodOptional<zod1019.ZodString>;
    readme: zod1019.ZodObject<{
      additional: zod1019.ZodOptional<zod1019.ZodString>;
      explainer: zod1019.ZodOptional<zod1019.ZodString>;
      footnotes: zod1019.ZodOptional<zod1019.ZodString>;
      usage: zod1019.ZodOptional<zod1019.ZodString>;
    }, "strip", zod1019.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod1019.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod1019.ZodEffects<zod1019.ZodUnion<[zod1019.ZodString, zod1019.ZodObject<{
    github: zod1019.ZodString;
    npm: zod1019.ZodString;
  }, "strip", zod1019.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod1019.ZodOptional<zod1019.ZodString>;
  existingLabels: zod1019.ZodOptional<zod1019.ZodArray<zod1019.ZodObject<{
    color: zod1019.ZodString;
    description: zod1019.ZodString;
    name: zod1019.ZodString;
  }, "strip", zod1019.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod1019.ZodOptional<zod1019.ZodString>;
  guide: zod1019.ZodOptional<zod1019.ZodObject<{
    href: zod1019.ZodString;
    title: zod1019.ZodString;
  }, "strip", zod1019.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod1019.ZodOptional<zod1019.ZodArray<zod1019.ZodString, "many">>;
  logo: zod1019.ZodOptional<zod1019.ZodObject<{
    alt: zod1019.ZodString;
    height: zod1019.ZodOptional<zod1019.ZodNumber>;
    src: zod1019.ZodString;
    width: zod1019.ZodOptional<zod1019.ZodNumber>;
  }, "strip", zod1019.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod1019.ZodObject<{
    minimum: zod1019.ZodString;
    pinned: zod1019.ZodOptional<zod1019.ZodString>;
  }, "strip", zod1019.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod1019.ZodString;
  packageData: zod1019.ZodOptional<zod1019.ZodObject<{
    dependencies: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodString>>;
    devDependencies: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodString>>;
    peerDependencies: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodString>>;
    peerDependenciesMeta: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodUnknown>>;
    scripts: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodOptional<zod1019.ZodString>>>;
  }, "strip", zod1019.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod1019.ZodOptional<zod1019.ZodString>;
  repository: zod1019.ZodString;
  rulesetId: zod1019.ZodOptional<zod1019.ZodString>;
  title: zod1019.ZodString;
  type: zod1019.ZodOptional<zod1019.ZodUnion<[zod1019.ZodLiteral<"commonjs">, zod1019.ZodLiteral<"module">]>>;
  version: zod1019.ZodOptional<zod1019.ZodString>;
  words: zod1019.ZodOptional<zod1019.ZodArray<zod1019.ZodString, "many">>;
  workflowsVersions: zod1019.ZodOptional<zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodRecord<zod1019.ZodString, zod1019.ZodObject<{
    hash: zod1019.ZodOptional<zod1019.ZodString>;
    pinned: zod1019.ZodOptional<zod1019.ZodBoolean>;
  }, "strip", zod1019.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=minimal.d.ts.map
//#endregion
export { presetMinimal };
//# sourceMappingURL=minimal.d.ts.map