import * as zod135 from "zod";
import * as bingo_stratum_lib_types_templates_js264 from "bingo-stratum/lib/types/templates.js";

//#region src/template.d.ts
declare const template: bingo_stratum_lib_types_templates_js264.StratumTemplate<{
  access: zod135.ZodUnion<[zod135.ZodLiteral<"public">, zod135.ZodLiteral<"restricted">]>;
  author: zod135.ZodOptional<zod135.ZodString>;
  bin: zod135.ZodOptional<zod135.ZodUnion<[zod135.ZodString, zod135.ZodRecord<zod135.ZodString, zod135.ZodString>]>>;
  contributors: zod135.ZodOptional<zod135.ZodArray<zod135.ZodObject<{
    avatar_url: zod135.ZodString;
    contributions: zod135.ZodArray<zod135.ZodString, "many">;
    login: zod135.ZodString;
    name: zod135.ZodString;
    profile: zod135.ZodString;
  }, "strip", zod135.ZodTypeAny, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }, {
    avatar_url: string;
    contributions: string[];
    login: string;
    name: string;
    profile: string;
  }>, "many">>;
  description: zod135.ZodDefault<zod135.ZodString>;
  directory: zod135.ZodString;
  documentation: zod135.ZodObject<{
    development: zod135.ZodOptional<zod135.ZodString>;
    readme: zod135.ZodObject<{
      additional: zod135.ZodOptional<zod135.ZodString>;
      explainer: zod135.ZodOptional<zod135.ZodString>;
      footnotes: zod135.ZodOptional<zod135.ZodString>;
      usage: zod135.ZodOptional<zod135.ZodString>;
    }, "strip", zod135.ZodTypeAny, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }, {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    }>;
  }, "strip", zod135.ZodTypeAny, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }, {
    readme: {
      additional?: string | undefined;
      explainer?: string | undefined;
      footnotes?: string | undefined;
      usage?: string | undefined;
    };
    development?: string | undefined;
  }>;
  email: zod135.ZodEffects<zod135.ZodUnion<[zod135.ZodString, zod135.ZodObject<{
    github: zod135.ZodString;
    npm: zod135.ZodString;
  }, "strip", zod135.ZodTypeAny, {
    github: string;
    npm: string;
  }, {
    github: string;
    npm: string;
  }>]>, {
    github: string;
    npm: string;
  }, string | {
    github: string;
    npm: string;
  }>;
  emoji: zod135.ZodOptional<zod135.ZodString>;
  existingLabels: zod135.ZodOptional<zod135.ZodArray<zod135.ZodObject<{
    color: zod135.ZodString;
    description: zod135.ZodString;
    name: zod135.ZodString;
  }, "strip", zod135.ZodTypeAny, {
    name: string;
    description: string;
    color: string;
  }, {
    name: string;
    description: string;
    color: string;
  }>, "many">>;
  funding: zod135.ZodOptional<zod135.ZodString>;
  guide: zod135.ZodOptional<zod135.ZodObject<{
    href: zod135.ZodString;
    title: zod135.ZodString;
  }, "strip", zod135.ZodTypeAny, {
    href: string;
    title: string;
  }, {
    href: string;
    title: string;
  }>>;
  keywords: zod135.ZodOptional<zod135.ZodArray<zod135.ZodString, "many">>;
  logo: zod135.ZodOptional<zod135.ZodObject<{
    alt: zod135.ZodString;
    height: zod135.ZodOptional<zod135.ZodNumber>;
    src: zod135.ZodString;
    width: zod135.ZodOptional<zod135.ZodNumber>;
  }, "strip", zod135.ZodTypeAny, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }, {
    alt: string;
    src: string;
    height?: number | undefined;
    width?: number | undefined;
  }>>;
  node: zod135.ZodObject<{
    minimum: zod135.ZodString;
    pinned: zod135.ZodOptional<zod135.ZodString>;
  }, "strip", zod135.ZodTypeAny, {
    minimum: string;
    pinned?: string | undefined;
  }, {
    minimum: string;
    pinned?: string | undefined;
  }>;
  owner: zod135.ZodString;
  packageData: zod135.ZodOptional<zod135.ZodObject<{
    dependencies: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodString>>;
    devDependencies: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodString>>;
    peerDependencies: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodString>>;
    peerDependenciesMeta: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodUnknown>>;
    scripts: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodOptional<zod135.ZodString>>>;
  }, "strip", zod135.ZodTypeAny, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }, {
    dependencies?: Record<string, string> | undefined;
    devDependencies?: Record<string, string> | undefined;
    peerDependencies?: Record<string, string> | undefined;
    peerDependenciesMeta?: Record<string, unknown> | undefined;
    scripts?: Record<string, string | undefined> | undefined;
  }>>;
  pnpm: zod135.ZodOptional<zod135.ZodString>;
  repository: zod135.ZodString;
  rulesetId: zod135.ZodOptional<zod135.ZodString>;
  title: zod135.ZodString;
  type: zod135.ZodOptional<zod135.ZodUnion<[zod135.ZodLiteral<"commonjs">, zod135.ZodLiteral<"module">]>>;
  version: zod135.ZodOptional<zod135.ZodString>;
  words: zod135.ZodOptional<zod135.ZodArray<zod135.ZodString, "many">>;
  workflowsVersions: zod135.ZodOptional<zod135.ZodRecord<zod135.ZodString, zod135.ZodRecord<zod135.ZodString, zod135.ZodObject<{
    hash: zod135.ZodOptional<zod135.ZodString>;
    pinned: zod135.ZodOptional<zod135.ZodBoolean>;
  }, "strip", zod135.ZodTypeAny, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }, {
    pinned?: boolean | undefined;
    hash?: string | undefined;
  }>>>>;
}>;
//# sourceMappingURL=template.d.ts.map
//#endregion
export { template };
//# sourceMappingURL=template.d.ts.map